org.eclipse.viatra.transformation.runtime.emf.modelmanipulation

## Interface IModelManipulations

- All Superinterfaces:
    IEcoreManipulations<org.eclipse.emf.ecore.resource.Resource,org.eclipse.emf.ecore.EObject>
  All Known Implementing Classes:
    AbstractModelManipulations, ModelManipulationWithEditingDomain, SimpleModelManipulations

      public interface IModelManipulations
      extends IEcoreManipulations<org.eclipse.emf.ecore.resource.Resource,org.eclipse.emf.ecore.EObject>

  Model manipulation interface for conventional EMF instance models.
  No Implement:
    API may be extended in the future.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `add(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature reference, java.util.Collection<? extends java.lang.Object> elements)` Adds a collection of existing elements to a selected EStructuralFeature.
    `default void` | `addAllTo(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature reference, java.util.Collection<? extends java.lang.Object> elements)` Adds a collection of existing elements to a selected EStructuralFeature.
    `void` | `addTo(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature reference, java.util.Collection<? extends java.lang.Object> elements)` Adds a collection of existing elements to a selected EStructuralFeature.
    `default void` | `moveAllTo(java.util.Collection<org.eclipse.emf.ecore.EObject> what, org.eclipse.emf.ecore.EObject newContainer, org.eclipse.emf.ecore.EReference reference)` Moves a collection of existing elements into the selected containment reference of the selected model object.
    `void` | `moveTo(java.util.Collection<org.eclipse.emf.ecore.EObject> what, org.eclipse.emf.ecore.EObject newContainer, org.eclipse.emf.ecore.EReference reference)` Moves a collection of existing elements into the selected containment reference of the selected model object.

    - ### Methods inherited from interface org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.IEcoreManipulations

      `add, add, addAll, addTo, addTo, changeIndex, create, createChild, moveTo, moveTo, moveTo, moveTo, remove, remove, remove, remove, set`

- - ### Method Detail

    - #### add

          default void add(org.eclipse.emf.ecore.EObject container,
                           org.eclipse.emf.ecore.EStructuralFeature reference,
                           java.util.Collection<? extends java.lang.Object> elements)
                    throws ModelManipulationException

      Adds a collection of existing elements to a selected EStructuralFeature. If the feature is an EReference, it must not be a containment reference.
      Throws:
        `ModelManipulationException`

    - #### addTo

          void addTo(org.eclipse.emf.ecore.EObject container,
                     org.eclipse.emf.ecore.EStructuralFeature reference,
                     java.util.Collection<? extends java.lang.Object> elements)
              throws ModelManipulationException

      Adds a collection of existing elements to a selected EStructuralFeature. If the feature is an EReference, it must not be a containment reference.
      Throws:
        `ModelManipulationException`

    - #### addAllTo

          default void addAllTo(org.eclipse.emf.ecore.EObject container,
                                org.eclipse.emf.ecore.EStructuralFeature reference,
                                java.util.Collection<? extends java.lang.Object> elements)
                         throws ModelManipulationException

      Description copied from interface: `IEcoreManipulations`
      Adds a collection of existing elements to a selected EStructuralFeature. If the feature is an EReference, it must not be a containment reference.
      Specified by:
        `addAllTo` in interface `IEcoreManipulations<org.eclipse.emf.ecore.resource.Resource,org.eclipse.emf.ecore.EObject>`
      Throws:
        `ModelManipulationException`
      Since:
        2.1

    - #### moveTo

          void moveTo(java.util.Collection<org.eclipse.emf.ecore.EObject> what,
                      org.eclipse.emf.ecore.EObject newContainer,
                      org.eclipse.emf.ecore.EReference reference)
               throws ModelManipulationException

      Moves a collection of existing elements into the selected containment reference of the selected model object.
      Throws:
        `ModelManipulationException`
      Since:
        2.1

    - #### moveAllTo

          default void moveAllTo(java.util.Collection<org.eclipse.emf.ecore.EObject> what,
                                 org.eclipse.emf.ecore.EObject newContainer,
                                 org.eclipse.emf.ecore.EReference reference)
                          throws ModelManipulationException

      Description copied from interface: `IEcoreManipulations`
      Moves a collection of existing elements into the selected containment reference of the selected model object.
      Specified by:
        `moveAllTo` in interface `IEcoreManipulations<org.eclipse.emf.ecore.resource.Resource,org.eclipse.emf.ecore.EObject>`
      Throws:
        `ModelManipulationException`
      Since:
        2.1